(function(window){
	var app = {};
	window.Line = {};
	/**
	  * 
 	  * @param {Object} msg
	  */
	app.toast = function(msg){
		api.toast({
			msg : msg,
			duration : 2000,
			location : 'middle'
		});
	}
	/**
	 * 判断网络
	 */
	app.isNetworkConnect=function(){
		var type= api.connectionType;
		if('none'==type){
			app.toast('网络连接失败');
			return false; 
		}
		return true;
	}
	/**
	 * 显示进度条
	 */
	app.showPro = function(){
		api.showProgress({
		    style: 'default',
		    animationType: 'fade',
		    title: '努力加载中...',
		    text: '先喝杯茶...',
		    modal: false
		});
	}
	
	app.alert = function(msg){
		alert(JSON.stringify(msg));
	}
	
	/**
	 * 发送事件
 * @param {Object} eventName
 * @param {Object} eventExtra
	 */
	app.sendEvent = function(eventName,eventExtra){
		var extra = (eventExtra == "" || eventExtra == null) ? {} : eventExtra;
		api.sendEvent({
			name : eventName,
			extra : extra
		});
	}
	/**
	 * 监听事件
	 * @param {Object} name
	 * @param {Object} callback
	 */
	app.addEventListener = function(listenrName,callback){
		api.addEventListener({
	        name : listenrName
        },function(ret,err){
        	callback(ret);
        });
	}
	/**
	 * 根据id 方法重载（一）
 	 * @param {Object} header
	 */
	app.getPosition = function(id,header){
		var header = "";
		if(id == 1){
			header = $api.byId(header);
		}else if(id == 2){
			header = $api.dom(header);
		}
		$api.fixIos7Bar(header);
		return $api.offset(header);
	}
	/**
	 * 
	 * @param {Object} title
	 * @param {Object} msg
	 * @param {Object} callback	回调函数    取消2  确定1
	 */
	app.confirm = function(title,msg,callback){
		api.confirm({
		    title: title,
		    msg: msg,
		    buttons: ['确定', '取消']
		}, function(ret, err){
		    var index = ret.buttonIndex;
		    callback(index);
		});
	}
	
	window.app = app;
})(window);