/**
 *添加购物车 
 * @param {Object} shopId 商品id
 * @param {Object} num 数量
 */
function addCart(shopId,num){
	excute(shopId,num);
	notifyBroadcast();
}

/**
 *添加购物车，订单页面业务 
 */
function addCartNoTip(shopId,num){
	excute(shopId,num);
	api.sendEvent({
	    name: 'cartChange1',
	    extra: {}
	});
}

function excute(shopId,num){
	var cars = $api.getStorage('cars');
	if(cars && cars.length > 0){
		var isHave = false;
		for(var i=0; i<cars.length; i++){
			if(cars[i].id == shopId){
				cars[i].num = Number(cars[i].num) + Number(num);
				isHave = true;
				break;
			}
		}
		if(!isHave){
			pushCart(cars,shopId,num);
		}
		$api.rmStorage('cars');
	} else {
		cars = new Array();
		pushCart(cars,shopId,num)
	}
	$api.setStorage('cars',cars);
}

/**
 *将要移除购物车的商品 
 */
function setDelFlag(ids){
	$api.setStorage("delCartFlagIds",ids);
}

/**
 *获取 移除购物车的商品 
 */
function getDelFlag(){
	var delFlagIds = $api.getStorage("delCartFlagIds");
	var delArr = new Array();
	if(delFlagIds){
		delArr = delFlagIds.split(',');
	}
	return delArr;
}

/**
 *清空删除标记 
 */
function clearDelFlag(){
	$api.rmStorage("delCartFlagIds");
}

/**
 *移除购物车 
 */
function delCart(shopId){
	api.confirm({
	    title: '提示',
	    msg: '您确定要删除此商品吗？',
	    buttons:['确定', '取消']
	},function(ret,err){
	    if(ret.buttonIndex == 1){
			var cars = $api.getStorage('cars');
			if(cars && cars.length > 0){
				for(var i=0; i<cars.length; i++){
					if(cars[i].id == shopId){
						cars.splice(i,1);
						break;
					}
				}
				$api.rmStorage('cars');
				$api.setStorage('cars',cars);
				notifyBroadcast();
			}
	    }
	});
}

/**
 *移除若干购物车 
 */
function delCarts(shopIds){
	api.confirm({
	    title: '提示',
	    msg: '您确定要删除选中的商品吗？',
	    buttons:['确定', '取消']
	},function(ret,err){
	    if(ret.buttonIndex == 1){
			executeDel(shopIds);
	    }
	});
}

function delCartsNoTip(shopIds){
	executeDel(shopIds);
}

function executeDel(shopIds){
	var cars = $api.getStorage('cars');
	if(cars && cars.length > 0 && shopIds){
		var ids = shopIds.split(',');
		for(var i=cars.length-1; i>=0; i--){
			for(var j=0; j<cars.length; j++){
				if(cars[i] && cars[i].id == ids[j]){
					cars.splice(i,1);
				}
			}
		}
		$api.rmStorage('cars');
		$api.setStorage('cars',cars);
		notifyBroadcast();
	}
}

/**
 *清空购物车 
 */
function clear(){
	api.confirm({
	    title: '提示',
	    msg: '您确定要清空购物车吗？',
	    buttons:['确定', '取消']
	},function(ret,err){
	    if(ret.buttonIndex == 1){
	        $api.rmStorage('cars');
	        $('total').text('0');
	        notifyBroadcast();
	    }
	});
}

/**
 *清空购物车 
 */
function clearNoTip(){
	$api.rmStorage('cars');
	notifyBroadcast();
}

/**
 *发送广播通知列表变动 
 */
function notifyBroadcast(){
	//发送购物车变动事件
	api.sendEvent({
	    name: 'cartChange',
	    extra: {}
	});
}

/**
 * 添加购物车 
 */
function pushCart(cars,shopId,num){
	var Obj = {};
	Obj.id = shopId;
	Obj.num = num;
	cars.push(Obj);
}

/**
 *得到购物车列表 
 */
function getCart(){
	return $api.getStorage('cars');
}

/**
 *得到商品数量 
 */
function getCartNum(){
	var cartNum = 0;
	var cars = $api.getStorage('cars');
	if(cars && cars.length > 0){
		for(var i=0; i<cars.length; i++){
			cartNum += Number(cars[i].num);
		}
	}
	return cartNum;
}